#!/bin/sh
#/***************************************************************************
# * \file    install.sh
# *
# * \brief   install WL1271-Bluetooth binaries and scripts 
# *
# * \author  Mistral
# *
# * \version 03a,04May2010, created
# ***************************************************************************/

echo ""
echo "This script installs TI-MISTRAL's WL1271 Bluetooth package"
echo "."
echo ".."
echo "..."
echo "...."

#Show directory structure

ls $PWD/bluetooth_scripts &> /dev/null
if [ "$?" -eq 0 ]; then
echo "$PWD/bluetooth_scripts  --> Bluetooth Scripts"
fi

ls $PWD/BT_FTP_storage &> /dev/null
if [ "$?" -eq 0 ]; then
echo "$PWD/BT_FTP_storage    --> BT FTP Storage files"
fi

ls $PWD/gallery &> /dev/null
if [ "$?" -eq 0 ]; then
echo "$PWD/gallery           --> Gallery files"
fi
ls $PWD/sbin &> /dev/null
if [ "$?" -eq 0 ]; then
echo "$PWD/sbin           --> Binary files"
fi


ls /lib/firmware &> /dev/null
if [ "$?" -ne 0 ]; then
    mkdir -p /lib/firmware
fi

ls /lib/firmware/TIInit_7.2.31.bts &> /dev/null
if [ "$?" -ne 0 ]; then
   cp /opt/ti-bluetooth/firmware/TIInit_7.2.31.bts /lib/firmware/TIInit_7.2.31.bts
else
   echo "/lib/firmware/TIInit_7.2.31.bts file already exists!!"
   echo "New firmware file is not installed to /lib/firmware"
fi


echo "WL1271-Bluetooth Package installation completed"
echo ""

