if [ -d ../ti-wlan-modules ]; then
	echo "Installing WL1271-WLAN kernel modules..."

	cd ../ti-wlan-modules

	echo "- sdio.ko"
	insmod sdio.ko
	if [ "$?" -eq "0" ]; then
		echo "  Success"
	else
		echo "  Failed"
	fi

	echo "- bmtrace.ko"
	insmod bmtrace.ko
	if [ "$?" -eq "0" ]; then
		echo "  Success"
	else
		echo "  Failed"
	fi

	echo "- tiwlan_drv.ko"
	insmod tiwlan_drv.ko
	if [ "$?" -eq "0" ]; then
		echo "  Success"
	else
		echo "  Failed"
	fi

	cd ../ti-wireless
else
	echo "WL1271-WLAN kernel modules not available"
	exit 1
fi

echo "Loading firmware..."
./tiwlan_loader
if [ "$?" -eq "0" ]; then
	echo "Success"
else
	echo "Failed"
fi

echo "Bringing-up the WLAN interface..."
ifconfig tiwlan0 up
if [ "$?" -eq "0" ]; then
        echo "Success"
else
        echo "Failed"
fi


echo "Starting wpa_supplicant..."
wpa_supplicant -Dwext -itiwlan0 -c wpa_supplicant.txt &
if [ "$?" -eq "0" ]; then
        echo "Success"
else
        echo "Failed"
fi

echo ""
echo "Now you may run the application \"./wlan_cu\""
echo ""
