#!/bin/bash
#################################################
#           User Edit Section                   #
#################################################

# Set the tool chain path as per tool chain installed path
TOOLCHAIN_PATH=/opt/codesourcery/2009q1-203
# Set the kernel build path
KERNEL_DIR=/home/premi/sdk/AM35x-OMAP35x-PSP-SDK-03.00.00.05/src/kernel/linux-03.00.01.06



#################################################
#           Don't Edit Section                  #
#################################################
# Macros Define Section
COMMON_PATH=$PWD
SDIO_MOD=$KERNEL_DIR/drivers/net/wireless/wilink/external_drivers/omap3530/Linux/sdio/sdio.ko
TESTSDIO_MOD=$KERNEL_DIR/drivers/net/wireless/wilink/external_drivers/omap3530/Linux/sdio/testsdio.ko
BMTRACE_MOD=$KERNEL_DIR/drivers/net/wireless/wilink/external_apps/Linux/bmtrace/Drv/bmtrace.ko
TIWLAN_MOD=$KERNEL_DIR/drivers/net/wireless/wilink/platforms/os/linux/build/tiwlan_drv.ko
# Export Define Section
export PATH=$TOOLCHAIN_PATH/bin:$PATH
STRIP="arm-none-linux-gnueabi-strip -g"

# This function build the wireless module. It can extract module from "common" folder
# and apply the patch; and compile the WLAN module. The compiled binary will be 
# available under the "image" folder 
build_kernel_module() {
    echo ""
    ls $COMMON_PATH/ti-wlan-modules &> /dev/null
    if [ "$?" -ne 0 ]; then
        mkdir -p $COMMON_PATH/ti-wlan-modules
    fi

    ls $SDIO_MOD &> /dev/null
    if [ "$?" -eq 0 ]; then
        cp -rf $SDIO_MOD $COMMON_PATH/ti-wlan-modules/
    fi

    ls $TESTSDIO_MOD &> /dev/null
    if [ "$?" -eq 0 ]; then
        cp -rf $TESTSDIO_MOD $COMMON_PATH/ti-wlan-modules/
    fi
    
    ls $BMTRACE_MOD &> /dev/null
    if [ "$?" -eq 0 ]; then
        cp -rf $BMTRACE_MOD $COMMON_PATH/ti-wlan-modules/
    fi

    ls $TIWLAN_MOD &> /dev/null
    if [ "$?" -eq 0 ]; then
        cp -rf $TIWLAN_MOD $COMMON_PATH/ti-wlan-modules/
    fi

    cd $COMMON_PATH/ti-wlan-modules/
    $STRIP *.ko
    cd ..
    tar -cjf ti-wlan-modules.tar.bz2 ti-wlan-modules/
    mv ti-wlan-modules.tar.bz2 $COMMON_PATH/build/image/
    rm -rf ti-wlan-modules/
    echo ""
}



case "$1" in
    *)
    echo ""
    build_kernel_module
    echo ""
    ;;
esac


